/*
 * AnalogClock.h
 *
 *  Created on: 07/giu/2012
 *      Author: bertini
 */

#ifndef ANALOGCLOCK_H_
#define ANALOGCLOCK_H_

#include "Observer.h"
#include "Timer.h"

class AnalogClock : public Observer {
public:
	AnalogClock(Timer* in) : Observer(in) {};
	virtual ~AnalogClock();

	virtual void update();

	void displayTime();

private:
	int time;
};

#endif /* ANALOGCLOCK_H_ */
