/*
 * Subject.h
 *
 *  Created on: 07/giu/2012
 *      Author: bertini
 */

#ifndef SUBJECT_H_
#define SUBJECT_H_

#include "Observer.h"
#include <list>

class Observer; // forward declaration

class Subject {
public:
	Subject();
	virtual ~Subject();

	virtual void subscribe(Observer* in);
	virtual void unsubscribe(Observer* out);
	virtual void notify();

protected:
	std::list<Observer*> observers;
};

#endif /* SUBJECT_H_ */
