/*
 * testObserver.cpp
 *
 *  Created on: 07/giu/2012
 *      Author: bertini
 */


#include "Timer.h"
#include "AnalogClock.h"

int main() {

	Timer aTimer;
	AnalogClock* rolex = new AnalogClock( &aTimer );
	rolex->attach(); // start following subject

	aTimer.tick();
	aTimer.tick();
	aTimer.setSeconds( aTimer.getSecond() + 100 );
	aTimer.tick();
	rolex->detach(); // stop following subject
	aTimer.tick(); // this change is not received
	aTimer.tick(); // this change is not received
	rolex->attach();
	aTimer.tick(); // this change is received again

	delete rolex;
	return 0;
}

